
package io.platform.log.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.log.dto.SysFunctionLogDto;
import io.platform.log.service.client.api.SysFunctionLogServiceClient;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.Map;



@Service("sysFunctionLogServiceRemote")
public class SysFunctionLogServiceRemote {

    @Reference(check = false)
    private SysFunctionLogServiceClient sysFunctionLogServiceClient;
    /**
     * 根据参数获取列表  无分页
     */
    public List<SysFunctionLogDto> getList(Map<String, Object> params){
        return sysFunctionLogServiceClient.queryList(params);
    }
    /**
     * 根据参数进行 分页查询
     */
    public Page<SysFunctionLogDto> getPage(Page<SysFunctionLogDto> page, SysFunctionLogDto sysFunctionLogDto){
        return sysFunctionLogServiceClient.getPage(page,sysFunctionLogDto);
    }
    /**
     * 根据主键 获取单条数据明细
     */
    public SysFunctionLogDto getOne(Long id){
        SysFunctionLogDto sysFunctionLogDto = sysFunctionLogServiceClient.queryObject(id);
        return sysFunctionLogDto;
    }
    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysFunctionLogDto sysFunctionLogDto){

       return  sysFunctionLogServiceClient.save(sysFunctionLogDto);
    }
    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysFunctionLogDto sysFunctionLogDto){

        return sysFunctionLogServiceClient.update(sysFunctionLogDto);
    }
    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids){
        return  sysFunctionLogServiceClient.deleteBatch(ids);
    }



}
