package io.platform.app.web.controller;


import io.platform.config.annotation.FuncLogAnno;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "Swagger测试类相关接口")
@RestController
public class SailunAppSwaggerController {


    /**
     *   @ApiOperation 表明接口的作用
     *   @ApiImplicitParams 表明接口所需的参数列表(非表单提交)
     *      @ApiImplicitParam  参数值
     *
     *
     *   表单提交  需要在实体类上添加注解
     *   @ApiModel  告知swagger实体
     *   @ApiModelProperty(value = "用户id")
     *   @ApiModelProperty(value = "用户地址")
     *
     *
     * @return
     */
    @GetMapping("/hello")
    @ApiOperation("测试的接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "username", value = "用户名", defaultValue = "李四"),
            @ApiImplicitParam(name = "address", value = "用户地址", defaultValue = "深圳", required = true)
    })
    @FuncLogAnno(functionName = "测试日志操作")
    public String addUser() {
        return "hello";
    }


}
